> ## Documentation Index
> Fetch the complete documentation index at: https://developers.jup.ag/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Recurring Orders (Recurring V1)

> Query active and historical recurring orders by wallet or status.

> [!WARNING]
>
> The Recurring API is no longer actively maintained and has been superseded by [DCA](https://developers.jup.ag/docs/trigger/dca.md).

The `GET /recurring/v1/getRecurringOrders` endpoint returns active and historical recurring (DCA) orders for a given wallet. Filter by `orderStatus` (`active` or `history`) and `recurringType` (`time`). Responses are paginated with 10 orders per page.

This is a GET request to `/getRecurringOrders` endpoint. The response is paginated for every 10 orders and you can view different pages using the `page` parameter.

## Get Recurring Orders

> [!NOTE]
>
> **NOTE**
>
> * orderStatus can be either `active` or `history`
> * recurringType can be either `time` (`price` is deprecated)
> * includeFailedTx can be either `true` or `false`

> [!WARNING]
>
> **CAUTION**
>
> Price-based orders via API is deprecated.

## Active Orders

To get the active orders, you can pass in the `orderStatus` parameter as `active`.

> [!TIP]
>
> **TIP**
>
> You can optionally pass in the input and output token mint addresses to filter the open orders.

```js theme={null}
const openOrdersResponse = await (
    await fetch(
        'https://api.jup.ag/recurring/v1/getRecurringOrders?user=replaceWithPublicKey&orderStatus=active&recurringType=time',
        {
            headers: {
                'x-api-key': 'your-api-key',
            },
        }
    )
).json();
```

## Order History

To get the order history, you can pass in the `orderStatus` parameter as `history`.

```js theme={null}
const orderHistoryResponse = await (
    await fetch(
        'https://api.jup.ag/recurring/v1/getRecurringOrders?user=replaceWithPublicKey&orderStatus=history&recurringType=price',
        {
            headers: {
                'x-api-key': 'your-api-key',
            },
        }
    )
).json();
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.